Name:		icon-naming-utils
Version:	0.8.90
Release:    1%{?dist}
Summary: 	A script to handle icon names in desktop icon themes

License:	GPLv2
BuildArch:	noarch
URL:		http://tango.freedesktop.org/Standard_Icon_Naming_Specification
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2

BuildRequires:	perl-generators
BuildRequires:	perl(XML::Simple)
BuildRequires:	automake
BuildRequires: make

Patch0:		icon-naming-utils-0.8.7-paths.patch

%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep
%setup -q
%patch0 -p1 -b .paths


%build
autoreconf
%configure
make %{?_smp_mflags}


%install
%{make_install}

rm -f %{buildroot}%{_datadir}/pkgconfig/icon-naming-utils-uninstalled.pc


%files
%doc AUTHORS README
%license COPYING
%{_bindir}/icon-name-mapping
%{_datadir}/icon-naming-utils/
%{_datadir}/pkgconfig/icon-naming-utils.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.90-1
- initial build
